# Contributing to project ovh-documentation-toolkit

This project accepts contributions. In order to contribute, you should
pay attention to a few things:

1. your code must follow the coding style rules
2. your code must be documented
3. your work must be signed (see below)
4. you may contribute through GitHub Pull Requests

All contributions are welcome. However, keeping in mind the primary goal
of this project, which is to provide a stylekit for the _OVH_ brand, we
**strongly recommend** that you submit a RFC pull request or reach out
to the [UX team on Gitter](https://gitter.im/ovh/ux) to discuss your
proposal first.

# Coding style rules

* Use the [BEM CSS selector naming convention](https://en.bem.info/methodology/naming-convention/).
* Lint your code with stylelint: `npm run lint`.
* Test your build: `npm run build`.

# Submitting Modifications

The contributions should be submitted through Github Pull Requests.

# Licensing for new files

ovh-documentation-toolkit is licensed under a modified BSD-3-Clause license. Anything
contributed to ovh-documentation-toolkit must be released under this license.

When introducing a new file into the project, please make sure it has a
copyright header making clear under which license it's being released.

# Setup your environment

Please refer to the [README](README.md).

## NPM

For those using npm instead of yarn here is a list of equivalences: <https://yarnpkg.com/en/docs/migrating-from-npm>

## Commits

All commits in this project must follow this specific message convention: <https://gist.github.com/stephenparish/9941e89d80e2bc58a153>
